Bug 504468 - Review Request: rubygem-treetop - A Ruby-based text parsing and interpretation DSL
Review Request: rubygem-treetop - A Ruby-based text parsing and interpretatio...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jan Klepek
Fedora Extras Quality Assurance
: Reopened
Depends On: 504475
Blocks: 504479
  Show dependency treegraph
 
Reported: 2009-06-07 07:44 EDT by Lubomir Rintel
Modified: 2009-08-10 03:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-10 03:23:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jan.klepek: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lubomir Rintel 2009-06-07 07:44:18 EDT
SPEC: http://v3.sk/~lkundrak/gdc-ruby-stack/SPECS/rubygem-treetop.spec
SRPM: http://v3.sk/~lkundrak/gdc-ruby-stack/SRPMS/rubygem-treetop-1.2.5-1.fc11.src.rpm

Description:

Treetop is a language for describing languages. It helps you analyze syntax.
Comment 1 Lubomir Rintel 2009-06-07 08:02:37 EDT
Note for reviewer: feel free to review this (I'll be thankful), but please do not approve it yet; it is pending resolution of a licensing issue (see SPEC file for details).
Comment 4 Lubomir Rintel 2009-07-10 05:04:13 EDT
btw, the licensing issues have been solved; see the spec file.
Comment 5 Jan Klepek 2009-07-12 08:41:36 EDT
1] so if the issue with license is resolved, do you need following comments ?
# Need to chceck validity of this
# http://github.com/blambeau/treetop/blob/cee97973983ab73058ecd1e5a6345e4a9108a811/LICENCE
# Mail was sent

2] complaining rpmlint, however this looks more like file which was not deleted by upstream...seems for me that this file doesn't have any function.
I guess removing this will corrupt gem.

rubygem-treetop.noarch: E: zero-length /usr/lib/ruby/gems/1.8/gems/treetop-1.2.5/examples/lambda_calculus/lambda_calculus

3] new version was released by upstream (1.2.6) which have non-empty in doc directory
Comment 6 Jan Klepek 2009-07-27 10:12:09 EDT
ping?
Comment 7 Lubomir Rintel 2009-07-31 02:08:24 EDT
Thanks for the review'n'CVS. Imported and build.
Comment 8 Lubomir Rintel 2009-07-31 02:11:33 EDT
whoops, sorry, wrong bug.
Comment 9 Lubomir Rintel 2009-07-31 02:35:05 EDT
(In reply to comment #5)
> 1] so if the issue with license is resolved, do you need following comments ?

Right. Removed.

> 2] complaining rpmlint, however this looks more like file which was not deleted
> by upstream...seems for me that this file doesn't have any function.
> I guess removing this will corrupt gem.

Right.

> 3] new version was released by upstream (1.2.6) which have non-empty in doc
> directory

Updated.

SPEC: http://v3.sk/~lkundrak/gdc-ruby-stack/SPECS/rubygem-treetop.spec
SRPM:
http://v3.sk/~lkundrak/gdc-ruby-stack/SRPMS/rubygem-treetop-1.3.0-1.fc11.src.rpm
Comment 10 Jan Klepek 2009-08-09 07:21:22 EDT
rpmlint must be run on every package. The output should be posted in the review.
- Ok

The package must be named according to the Package Naming Guidelines.
- Ok

The spec file name must match the base package %{name}.
- ok

The package must meet the Packaging Guidelines.
- ok, meets packaging and ruby specific guidelines

The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
- ok

The License field in the package spec file must match the actual license.
- ok

If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
- ok

The spec file must be written in American English.
- ok

The spec file for the package MUST be legible.
- ok

The sources used to build the package must match the upstream source, as provided in the spec URL.
- ok

The package MUST successfully compile and build into binary rpms on at least one primary architecture.
- ok

ExcludeArch present.
- ok, no excludearch

All build dependencies must be listed in BuildRequires.
- ok

The spec file MUST handle locales properly.
- ok

Ldconfig in %post and %postun.
- ok, not needed

Relocatable package and /usr prefix.
- ok, not relocatable

A package must own all directories that it creates.
- ok

A Fedora package must not list a file more than once in the spec file's %files listings.
- ok

Permissions on files must be set properly.
- ok

Each package must have a correct %clean section.
- ok

Each package must consistently use macros.
- ok

The package must contain code, or permissable content.
- ok

Large documentation files must go in a -doc subpackage.
- ok

If a package includes something as %doc, it must not affect the runtime of the application.
- ok

Header files must be in a -devel package.
- ok, no header

Static libraries must be in a -static package.
- ok, no static

Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' .
- ok, no .pc

Library with .so suffix must be in -devel package.
- ok, no .so library

In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
- ok, no devel

Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
- ok, no .la

Gui application and desktop-file-install.
- ok, no gui

Packages must not own files or directories already owned by other packages.
- ok

At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
- ok

All filenames in rpm packages must be valid UTF-8.
- ok

conclusion: Approved
Comment 11 Lubomir Rintel 2009-08-09 22:28:26 EDT
New Package CVS Request
=======================
Package Name: rubygem-treetop
Short Description: A Ruby-based text parsing and interpretation DSL
Owners: lkundrak
Branches: F-11 EL-5
Comment 12 Kevin Fenzi 2009-08-10 01:43:33 EDT
cvs done.
Comment 13 Lubomir Rintel 2009-08-10 03:23:01 EDT
Thank you!

Imported and built.

Note You need to log in before you can comment on or make changes to this bug.